<html>
<head>
<title>OGRE: Ogre::CompositorInstance::RenderSystemOperation Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>::<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">RenderSystemOperation</a></div>
<h1>Ogre::CompositorInstance::RenderSystemOperation Class Reference</h1><!-- doxytag: class="Ogre::CompositorInstance::RenderSystemOperation" -->Specific render system operation.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html#bfaf6ab6afaeb98e9a0deaafb43bad49">~RenderSystemOperation</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html#71298b4165d15e5e4abf5239690d09ab">execute</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rs)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set state to <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> and <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>.  <a href="#71298b4165d15e5e4abf5239690d09ab"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specific render system operation. 
<p>
A render target operation does special operations between render queues like rendering a quad, clearing the frame buffer or setting stencil state. 
<p>Definition at line <a class="el" href="OgreCompositorInstance_8h-source.html#l00080">80</a> of file <a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="bfaf6ab6afaeb98e9a0deaafb43bad49"></a><!-- doxytag: member="Ogre::CompositorInstance::RenderSystemOperation::~RenderSystemOperation" ref="bfaf6ab6afaeb98e9a0deaafb43bad49" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::CompositorInstance::RenderSystemOperation::~RenderSystemOperation           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="71298b4165d15e5e4abf5239690d09ab"></a><!-- doxytag: member="Ogre::CompositorInstance::RenderSystemOperation::execute" ref="71298b4165d15e5e4abf5239690d09ab" args="(SceneManager *sm, RenderSystem *rs)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorInstance::RenderSystemOperation::execute           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>rs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set state to <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> and <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorInstance_8h-source.html">OgreCompositorInstance.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:25 2008
</p>
</body>
</html>
